## Examples

Explore a variety of README examples generated by `readmeai`:

| Tech | Output | Source | Description |
|------------|---------------|------------|-------------|
| Readme-ai | [readme-ai.md][default] | [readme-ai][readme-ai] | Readme-ai project |
| Apache Flink | [readme-pyflink.md][modern-header] | [pyflink-poc][pyflink] | Pyflink project |
| Streamlit | [readme-streamlit.md][svg-banner] | [readme-ai-streamlit][streamlit] | Streamlit web app |
| Vercel & NPM | [readme-vercel.md][dalle-logo] | [github-readme-quotes][vercel] | Vercel deployment |
| Go & Docker | [readme-docker-go.md][for-the-badge] | [docker-gs-ping][docker-golang] | Dockerized Go app |
| FastAPI & Redis | [readme-fastapi-redis.md][fastapi-redis] | [async-ml-inference][fastapi] | Async ML inference service |
| Java | [readme-java.md][compact-header] | [Minimal-Todo][java] | Minimalist todo Java app |
| PostgreSQL & DuckDB | [readme-postgres.md][classic-header] | [Buenavista][postgres] | Postgres proxy server |
| Kotlin | [readme-kotlin.md][readme-kotlin] | [android-client][kotlin] | Android client app |
| Offline Mode | [offline-mode.md][offline-mode] | [litellm][litellm] | LLM API service |

<sub>

Find additional README.md file examples in our [examples directory][examples-directory].

</sub>

<img src="readmeai/data/svg/gradient_line_4169E1_8A2BE2.svg" alt="line break" width="100%" height="3px">

---

<!-- REFERENCE LINKS -->
[classic-header]: https://github.com/eli64s/readme-ai/blob/main/examples/headers/classic.md
[compact-header]: https://github.com/eli64s/readme-ai/blob/main/examples/headers/compact.md
[dalle-logo]: https://github.com/eli64s/readme-ai/blob/main/examples/logos/dalle.md
[default]: https://github.com/eli64s/readme-ai/blob/main/examples/readme-ai.md
[docker-golang]: https://github.com/olliefr/docker-gs-ping
[examples-directory]: https://github.com/eli64s/readme-ai/tree/main/examples
[fastapi]: https://github.com/FerrariDG/async-ml-inference
[fastapi-redis]: https://github.com/eli64s/readme-ai/blob/main/examples/readme-fastapi-redis.md
[for-the-badge]: https://github.com/eli64s/readme-ai/blob/main/examples/readme-docker-go.md
[java]: https://github.com/avjinder/Minimal-Todo
[kotlin]: https://github.com/rumaan/file.io-Android-Client
[litellm]: https://github.com/BerriAI/litellm
[modern-header]: https://github.com/eli64s/readme-ai/blob/main/examples/headers/modern.md
[offline-mode]: https://github.com/eli64s/readme-ai/blob/main/examples/offline-mode/readme-litellm.md
[postgres]: https://github.com/jwills/buenavista
[pyflink]: https://github.com/eli64s/pyflink-poc
[readme-ai]: https://github.com/eli64s/readme-ai
[readme-ai-streamlit]: https://github.com/eli64s/readme-ai-streamlit
[readme-kotlin]: https://github.com/eli64s/readme-ai/blob/main/examples/readme-kotlin.md
[streamlit]: https://github.com/eli64s/readme-ai-streamlit
[svg-banner]: https://github.com/eli64s/readme-ai/blob/main/examples/banners/svg-banner.md
[vercel]: https://github.com/PiyushSuthar/github-readme-quotes
